Package oasis.names.tc.dss._1_0.core.schema

# Class DocumentType

java.lang.Object
oasis.names.tc.dss._1_0.core.schema.DocumentBaseType
oasis.names.tc.dss._1_0.core.schema.DocumentType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class DocumentType extends DocumentBaseType implements Serializable

Java class for DocumentType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DocumentType">
       <complexContent>
         <extension base="{urn:oasis:names:tc:dss:1.0:core:schema}DocumentBaseType">
           <choice>
             <element name="InlineXML" type="{urn:oasis:names:tc:dss:1.0:core:schema}InlineXMLType"/>
             <element name="Base64XML" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             <element name="EscapedXML" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element ref="{urn:oasis:names:tc:dss:1.0:core:schema}Base64Data"/>
             <element ref="{urn:oasis:names:tc:dss:1.0:core:schema}AttachmentReference"/>
           </choice>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AttachmentReference`
  `getAttachmentReference()`
  Gets the value of the attachmentReference property.
  `Base64Data`
  `getBase64Data()`
  Gets the value of the base64Data property.
  `byte[]`
  `getBase64XML()`
  Gets the value of the base64XML property.
  `String`
  `getEscapedXML()`
  Gets the value of the escapedXML property.
  `InlineXMLType`
  `getInlineXML()`
  Gets the value of the inlineXML property.
  `void`
  `setAttachmentReference(AttachmentReference value)`
  Sets the value of the attachmentReference property.
  `void`
  `setBase64Data(Base64Data value)`
  Sets the value of the base64Data property.
  `void`
  `setBase64XML(byte[] value)`
  Sets the value of the base64XML property.
  `void`
  `setEscapedXML(String value)`
  Sets the value of the escapedXML property.
  `void`
  `setInlineXML(InlineXMLType value)`
  Sets the value of the inlineXML property.

  ### Methods inherited from class oasis.names.tc.dss._1_0.core.schema.DocumentBaseType

  `getID, getRefType, getRefURI, getSchemaRefs, setID, setRefType, setRefURI`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocumentType

    public DocumentType()

- ## Method Details

  - ### getAttachmentReference

    public AttachmentReference getAttachmentReference()
    Gets the value of the attachmentReference property.
    Returns:
      possible object is `AttachmentReference`

  - ### setAttachmentReference

    public void setAttachmentReference(AttachmentReference value)
    Sets the value of the attachmentReference property.
    Parameters:
      `value` - allowed object is `AttachmentReference`

  - ### getBase64Data

    public Base64Data getBase64Data()
    Gets the value of the base64Data property.
    Returns:
      possible object is `Base64Data`

  - ### setBase64Data

    public void setBase64Data(Base64Data value)
    Sets the value of the base64Data property.
    Parameters:
      `value` - allowed object is `Base64Data`

  - ### getEscapedXML

    public String getEscapedXML()
    Gets the value of the escapedXML property.
    Returns:
      possible object is `String`

  - ### setEscapedXML

    public void setEscapedXML(String value)
    Sets the value of the escapedXML property.
    Parameters:
      `value` - allowed object is `String`

  - ### getBase64XML

    public byte[] getBase64XML()
    Gets the value of the base64XML property.
    Returns:
      possible object is byte[]

  - ### setBase64XML

    public void setBase64XML(byte[] value)
    Sets the value of the base64XML property.
    Parameters:
      `value` - allowed object is byte[]

  - ### getInlineXML

    public InlineXMLType getInlineXML()
    Gets the value of the inlineXML property.
    Returns:
      possible object is `InlineXMLType`

  - ### setInlineXML

    public void setInlineXML(InlineXMLType value)
    Sets the value of the inlineXML property.
    Parameters:
      `value` - allowed object is `InlineXMLType`